function MSTW=calculateMSTWindow(ARG,windowSize,windowStep)
% Функція для роботи - обрахування максимальної кількості зв'язків в МОД (MST) по вікнам шириною
% windowSize та кроком windowStep (без врахування діагональних значень)

% Матриця повинна бути - фірми по рядкам
[m,n]=size(ARG);

% кількість точок
count=n-windowSize+1;
count=fix(count/windowStep)+1;
MSTW=zeros(1,count);
S=zeros(m,windowSize);
i=1;
index=1;
% безпосередньо обрахування по вікнам та запис у вектор
while i+windowSize-1<n
    S=ARG(:,i:i+windowSize-1);
    C=buildC(S);
    D=buildD(C);
    edges=getEdges(D);
    frameEdges=chooseFrameEdges(edges);
    IM=buildMSTIMatrix(frameEdges);
    i=i+windowStep
    MSTW(1,index)=max(sum(IM~=0));
    index=index+1;
end
MSTW=MSTW(1,1:index-1);